Skip to main content
PUT
Update Webhook Event

Headers

X-BUSINESS-API-KEY
string
required
Example:

"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"

Path Parameters

webhook_event_id
string
required

The Webhook Event id

Body

application/json
name
string

The name of the webhook event. It is a required field.

Example:

"Test Webhook Event"

url
string

The URL of the webhook, must be a valid URL with https protocol. This is the URL that the webhook will send the event data to. It is a required field.

event_types
enum<string>[]

The event types that the webhook will listen to. It is a required field.

Available options:
charge.created,
charge.updated,
payout.created,
order.created,
order.updated,
invoice.created,
invoice.updated,
transfer.created,
transfer.updated,
transfer.scheduled,
transfer.processing,
transfer.paid,
transfer.failed,
transfer.canceled
Examples:

"transfer.created"

"transfer.updated"

Response

200

id
string
required
business_id
string
required
name
string
required
url
string
required
event_types
string[]
required
created_at
string
required
updated_at
string
required
Last modified on February 25, 2026